#!/usr/bin/perl  -w

open(RESULT,">result.html");

print RESULT "<html><head><title>SVG Regression Test ".localtime()."</title></head>\n";
print RESULT "<body><h1>SVG Regression Test ".localtime()."</h1><br/><table border=\"1\">\n";

foreach my $testfile (<tests/*.xml>)
{
  print STDERR "$testfile\n";
  my $pngfile=$testfile; 
  if(0)
  {
    $pngfile=~s/^tests\//png\//;
    $pngfile=~s/\.png\.xml/.png/;
  }
  else
  {
    $pngfile=~s/^tests\/basic-/ImageMagick\//;
    $pngfile=~s/\.png\.xml/.svg.png/;
  }

  if(! -f $pngfile)
  {
    print RESULT "<tr><td>$testfile</td><td bgcolor=\"#ff0000\">No result!</td></tr>\n";
    next;
  }

  my $ok=0;
  my $notok=0;

  open TEST,"testing/testing $pngfile $testfile|";
  while(<TEST>)
  {
    #print;
    if (/^OK$/)
    {
      $ok++;
    }
    elsif (/^NOT/)
    {
      $notok++;
    }
  }
  close TEST;
  if($notok == 0)
  {
    if($ok == 0)
    {
      print RESULT "<tr><td>$testfile</td><td>no tests</td></tr>\n";
    }
    else
    {
      print RESULT "<tr><td>$testfile</td><td bgcolor=\"#00ff00\">$ok / $notok</td></tr>\n";
    }
  }
  else
  {
    if($ok == 0)
    {
      print RESULT "<tr><td>$testfile</td><td bgcolor=\"#ff0000\">$ok / $notok</td></tr>\n";
    }
    else
    {
      print RESULT "<tr><td>$testfile</td><td bgcolor=\"#ffff00\">$ok / $notok</td></tr>\n";
    }
  }
}

print RESULT "</table>\n</body></html>";

close RESULT;
system "konqueror result.html &";
